data:extend({
  {
    type = "technology",
    name = "advanced-material-processing-3",
    icon = "__base__/graphics/technology/advanced-material-processing.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "pulverizer"
      },
      {
        type = "unlock-recipe",
        recipe = "orewasher"
      },
      {
        type = "unlock-recipe",
        recipe = "small-iron-chunk"
      },
      {
        type = "unlock-recipe",
        recipe = "small-copper-chunk"
      },
	  {
        type = "unlock-recipe",
        recipe = "small-clean-iron-chunk"
      },
    	  {
        type = "unlock-recipe",
        recipe = "small-clean-copper-chunk"
      },
      {
        type = "unlock-recipe",
        recipe = "small-stone-chunk"
      },
      {
        type = "unlock-recipe",
        recipe = "stone-brick2"
      },
	  {
        type = "unlock-recipe",
        recipe = "iron-plate2"
      },
      {
        type = "unlock-recipe",
        recipe = "iron-plate3"
      },
	  {
        type = "unlock-recipe",
        recipe = "copper-plate2"
      },
      {
        type = "unlock-recipe",
        recipe = "copper-plate3"
      },
    },
    prerequisites = {"advanced-material-processing-2"},
    unit =
    {
      count = 150,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1}
      },
      time = 30
    },
    order = "a-h-c",
  },
  {
    type = "technology",
    name = "advanced-material-processing-4",
    icon = "__base__/graphics/technology/advanced-material-processing.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "centrifuge"
      },
      {
        type = "unlock-recipe",
        recipe = "iron-dust"
      },
      {
        type = "unlock-recipe",
        recipe = "copper-dust"
      },
      {
        type = "unlock-recipe",
        recipe = "iron-copper-dust"
      },
      {
        type = "unlock-recipe",
        recipe = "crystallizer"
      },
      {
        type = "unlock-recipe",
        recipe = "crystallized-iron-dust"
      },
      {
        type = "unlock-recipe",
        recipe = "crystallized-copper-dust"
      },
	  {
        type = "unlock-recipe",
        recipe = "stone-dust"
      },
      {
        type = "unlock-recipe",
        recipe = "stone-brick3"
      },
	  {
        type = "unlock-recipe",
        recipe = "iron-plate4"
      },
      {
        type = "unlock-recipe",
        recipe = "iron-plate5"
      },
	  {
        type = "unlock-recipe",
        recipe = "copper-plate4"
      },
      {
        type = "unlock-recipe",
        recipe = "copper-plate5"
      },
	  {
        type = "unlock-recipe",
        recipe = "stone-brick4"
      },
	  {
        type = "unlock-recipe",
        recipe = "slurry-stone"
      },
    },
    prerequisites = {"advanced-material-processing-3"},
    unit =
    {
      count = 90,
      ingredients =
      {
        {"science-pack-1", 2},
        {"science-pack-2", 2},
        {"science-pack-3", 1}
      },
      time = 30
    },
    order = "a-h-c",
  },
  {
    type = "technology",
    name = "matter-compilation",
    icon = "__oreprocessing__/graphics/technology/mattercompilation1.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "matter-compilator"
      },
      {
        type = "unlock-recipe",
        recipe = "iron-ore1"
      },
      {
        type = "unlock-recipe",
        recipe = "copper-ore1"
      },
	  {
        type = "unlock-recipe",
        recipe = "stone-ore1"
      },
    },
    prerequisites = {"advanced-material-processing-4"},
    unit =
    {
      count = 100,
      ingredients =
      {
        {"science-pack-1", 2},
        {"science-pack-2", 2},
        {"science-pack-3", 1},
      },
      time = 30
    },
    order = "a-h-c",
  },
})
